Bug 850388 - [ovirt-engine-reports] Setup fails on missing file
[ovirt-engine-reports] Setup fails on missing file
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-reports (Show other bugs)
3.1.0
x86_64 Linux
urgent Severity unspecified
: ---
: ---
Assigned To: Alon Bar-Lev
David Botzer
integration
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-21 10:20 EDT by Kiril Nesenko
Modified: 2014-07-10 20:09 EDT (History)
8 users (show)

See Also:
Fixed In Version: SI15 - rhevm-reports-3.1.0-9.el6ev.noarch.rpm
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:59:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs (42.28 KB, text/x-log)
2012-08-21 10:20 EDT, Kiril Nesenko
no flags Details

  None (edit)
Description Kiril Nesenko 2012-08-21 10:20:45 EDT
Created attachment 605947 [details]
logs

Description of problem:
Setup fails on missing file


2012-08-21 17:17:34::DEBUG::ovirt-engine-reports-setup::828::root:: Restoring previous version
2012-08-21 17:17:34::ERROR::ovirt-engine-reports-setup::850::root:: Exception caught!
2012-08-21 17:17:34::ERROR::ovirt-engine-reports-setup::851::root:: Traceback (most recent call last):
  File "/usr/bin/ovirt-engine-reports-setup", line 773, in main
    updateServletDbRecord()
  File "/usr/share/ovirt-engine-reports/decorators.py", line 27, in wrapped_f
    raise Exception(instance)
Exception: Could not find /etc/ovirt-engine/web-conf.js


Version-Release number of selected component (if applicable):
rhevm-reports-3.1.0-1.el6ev.noarch

How reproducible:
Always

Steps to Reproduce:
1.Try to setup ovirt-engine-reports
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Alon Bar-Lev 2012-08-21 11:19:16 EDT
ENGINE

commit a834d53a2629c8ed41ab81e340e10f1705488ae0
Author: Alon Bar-Lev <alonbl@redhat.com>
Date:   Tue Aug 21 18:10:42 2012 +0300

    packaging: add ENGINE_FQDN variable to service configuration
    
    The engine FQDN is required for dependencies such as dwhj and reports to
    successfully find engine.
    
    Change-Id: Icc2a12280813bc7462ba62bf9e9a7b5358811147
    Signed-off-by: Alon Bar-Lev <alonbl@redhat.com>

http://gerrit.ovirt.org/7384
Comment 4 David Botzer 2012-08-23 12:25:17 EDT
Fixed 3.1/si15 (both reports & DWH)
rhevm-dwh-3.1.0-9.el6ev.noarch
rhevm-reports-3.1.0-9.el6ev.noarch

Using the workaround : vi /etc/sysconfig/ovirt-engine
appending value ENGINE_FQDN=myhost.redhat.com

Fixed 3.1/si15 (both reports & DWH)
rhevm-dwh-3.1.0-9.el6ev.noarch
rhevm-reports-3.1.0-9.el6ev.noarch

Note You need to log in before you can comment on or make changes to this bug.